Bug 862588 - Error message needs to be rephrased, when checking system info of a system that doesn't belong to specified env
Error message needs to be rephrased, when checking system info of a system th...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 06:21 EDT by Sachin Ghai
Modified: 2014-03-12 18:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 18:53:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2012-10-03 06:21:44 EDT
Description of problem:
I was trying to move registered systems from one env to other env.
for ex: I moved the system from 'ga' env to 'dev' env.


'dev' env is showing correct details as below:

--
katello> system info --name dhcp201-152.englab.pnq.redhat.com --env dev --org ACME_Corporation
--------------------------------------------------------------------------------
    System Information For Environment [ dev ] in Org [ ACME_Corporation ]
--------------------------------------------------------------------------------

Name:            dhcp201-152.englab.pnq.redhat.com
Ipv4 Address:    None
Uuid:            26d9bf1f-6611-4c07-a659-a63881abc40c
Location:        None
Registered:      2012/10/03 08:39:19
Last updated:    2012/10/03 09:39:38
Description:
---

but when I checked the same system under 'ga' env, it says:

katello> system info --name dhcp201-152.englab.pnq.redhat.com --env ga --org ACME_Corporation
Found ambiguous Systems [ dhcp201-152.englab.pnq.redhat.com ] in Org [ ACME_Corporation ], you have to specify the environment


Version-Release number of selected component (if applicable):

katello-glue-candlepin-1.1.12-12.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-all-1.1.12-12.el6cf.noarch
katello-cli-1.1.8-6.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-6.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-6.el6cf.noarch
katello-common-1.1.12-12.el6cf.noarch
katello-1.1.12-12.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-pulp-1.1.12-12.el6cf.noarch


How reproducible:
always

Steps to Reproduce:
1. Create env like Library --> dev --> test --> ga 
2. Register the system against ga env
3. Now move the system from 'ga' to 'dev' by changing the env from UI
 Systems => select system ==> on right pane select 'system details' ==> select 'dev' env
  
4. now check the system info in 'ga' env and see the generated message

Actual results:
katello> system info --name dhcp201-152.englab.pnq.redhat.com --env ga --org ACME_Corporation
Found ambiguous Systems [ dhcp201-152.englab.pnq.redhat.com ] in Org [ ACME_Corporation ], you have to specify the environment


Expected results:
Here the message says 'you have to specify the environment' and env is already specified. so the current message is bit misleading. I think it should be like:


"The system [ dhcp201-152.englab.pnq.redhat.com ] in Org [ ACME_Corporation ]
doesn't belong to specified environment [ga]."



Additional info:
Comment 3 Lukas Zapletal 2014-03-12 06:09:48 EDT
Bug is irrelevant because of hammer.
Comment 4 Bryan Kearney 2014-03-12 18:53:13 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.